aboutsummaryrefslogtreecommitdiff
path: root/examples/example6/example6.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/example6/example6.sh')
-rwxr-xr-xexamples/example6/example6.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/examples/example6/example6.sh b/examples/example6/example6.sh
new file mode 100755
index 0000000..9078da1
--- /dev/null
+++ b/examples/example6/example6.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+# vim: set filetype=sh
+#
+# Author: Cody Hiar
+# Date: 2019-01-15
+#
+# Description: run docker-compose command
+#
+# Set options:
+# e: Stop script if command fails
+# u: Stop script if unset variable is referenced
+# x: Debug, print commands as they are executed
+# o pipefail: If any command in a pipeline fails it all fails
+#
+set -exuo pipefail
+
+# Run the compose file
+docker-compose up